Error in newer version php

  • Posts: 23
  • Thank you received: 1
  • Hikashop Business
2 months 3 days ago #315395

-- url of the page with the problem -- : nieuw.megiq.com/
-- HikaShop version -- : 4.2.2
-- Joomla version -- : 3.9.15
-- PHP version -- : 7.3.14
-- Browser(s) name and version -- : Microsoft Edge
-- Error-message(debug-mod must be tuned on) -- : Deprecated: strripos(): Non-string needles will be interpreted as strings in the future. Use an explicit chr() call to preserve the current behavior in /home/megiq038/nieuw/administrator/components/com_hikashop/helpers/helper.php on line 3010

After changing tp php 7.3.14 i get the error message:
Deprecated: strripos(): Non-string needles will be interpreted as strings in the future. Use an explicit chr() call to preserve the current behavior in /home/megiq038/nieuw/administrator/components/com_hikashop/helpers/helper.php on line 3010

I get it only in Microsoft Edge.

How can I solve this?

Please Log in or Create an account to join the conversation.

  • Posts: 68617
  • Thank you received: 10233
  • MODERATOR
2 months 2 days ago #315401

Hi,

Thank you for your feedback. Please download the install package on our website and install it on yours. It will add a patch for that.

Please Log in or Create an account to join the conversation.

  • Posts: 23
  • Thank you received: 1
  • Hikashop Business
2 months 2 days ago #315405

You mean the complete Hikashop business? The zip or the tar.zip version?

Please Log in or Create an account to join the conversation.

  • Posts: 68617
  • Thank you received: 10233
  • MODERATOR
2 months 2 days ago #315414

Hi,

Yes. The zip or the tar.gz, either one, it will do the same.

Please Log in or Create an account to join the conversation.

Time to create page: 0.057 seconds
Powered by Kunena Forum